|  | Home · All Classes · Modules

# QVBoxLayout Class Reference
[QtGui module]

The QVBoxLayout class lines up widgets vertically. More...

Inherits QBoxLayout.

### Methods

- __init__ (self)
- __init__ (self, QWidget)

## Detailed Description

The QVBoxLayout class lines up widgets vertically.

This class is used to construct vertical box layout objects. See QBoxLayout for details.

The simplest use of the class is like this:

         QWidget *window = new QWidget;
         QPushButton *button1 = new QPushButton("One");
         QPushButton *button2 = new QPushButton("Two");
         QPushButton *button3 = new QPushButton("Three");
         QPushButton *button4 = new QPushButton("Four");
         QPushButton *button5 = new QPushButton("Five");

         QVBoxLayout *layout = new QVBoxLayout;
         layout->addWidget(button1);
         layout->addWidget(button2);
         layout->addWidget(button3);
         layout->addWidget(button4);
         layout->addWidget(button5);

         window->setLayout(layout);
         window->show();

First, we create the widgets we want in the layout. Then, we create the QVBoxLayout object and add the widgets into the layout. Finally, we call QWidget.setLayout() to install the QVBoxLayout object onto the widget. At that point, the widgets in the layout are reparented to have `window` as their parent.

See also QHBoxLayout, QGridLayout, QStackedLayout, Layout Management, and Basic Layouts Example.

## Method Documentation

### QVBoxLayout.__init__ (self)

Constructs a new vertical box. You must add it to another layout.

### QVBoxLayout.__init__ (self, QWidget)

The QWidget argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new top-level vertical box with parent parent.